package com.imageresizer;

import android.graphics.Bitmap;
import android.graphics.Color;


import com.n4no.webpencoder.codec.WebpBitmapEncoder;

import java.io.File;
import java.io.IOException;

public class WebpEncoder{

    private final WebpBitmapEncoder webpBitmapEncoder;

    private int quality;
    public WebpEncoder(File file, int delay, int quality) {
        try {
            webpBitmapEncoder = new WebpBitmapEncoder(file);
            webpBitmapEncoder.setBg(Color.TRANSPARENT);
            webpBitmapEncoder.setLoops(0);
            webpBitmapEncoder.setDuration(delay);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }

        this.quality = quality;
    }

    protected void addFrame(Bitmap frame, int delay) throws IOException {
        webpBitmapEncoder.setDuration(delay);
        webpBitmapEncoder.writeFrame(frame, quality);
    }

    protected void finish() {
        try {
            webpBitmapEncoder.close();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }


}
